/*
Theme Name: Ella Kind
Theme URI:
Author: Andy Rudorfer
Author URI:
Description: Child Theme for Ella Hebammen
Requires at least: 6.8
Tested up to: 6.8
Requires PHP: 5.7
Version:
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: ollie
Text Domain: ella-kind
Tags:
*/

/* Helper styles
---------------------------------------------------------------------------- */

a {
    transition: all 0.35s ease-in;
}

a.more-link {
    display: block;
}

/* Inline code */
*:not(.wp-block-code) > code {
    background-color: var(--wp--preset--color--tertiary);
    font-weight: var(--wp--custom--font-weight--medium);
    padding: 3px 5px;
    position: relative;
    border-radius: 3px;
}

/* Adjust terms at bottom of posts */
.single .wp-block-group .wp-block-post-terms,
.blog .wp-block-group .wp-block-post-terms {
    margin-bottom: -8px !important;
}

/* Remove margin on term description on archive pages */
.wp-block-term-description p:last-child {
    margin-bottom: 0;
}

/* Remove last separator on post list */
.remove-border-and-padding
    .wp-block-post-template
    li:last-child
    .wp-block-separator {
    display: none;
}

/* Hide post meta div if no tags assigned */
.single .wp-block-group:has(> .post-meta:empty) {
    display: none;
}

.wp-block-group:empty:has(+ .comment-respond) {
    display: none;
}

.row-logos > figure {
    flex-shrink: 1 !important;
}

@media (max-width: 781px) {
    .ella-hide-on-mobile {
        display: none;
    }

    .ella-unstick-mobile {
        position: static;
    }
}

.rotate-1 svg {
    transform: rotate(-10deg);
    position: relative;
    top: -5px;
}

.rotate-2 svg {
    transform: rotate(10deg);
    position: relative;
    top: -5px;
}

@keyframes heartbeat {
    0% {
        transform: scale(1);
    }
    14% {
        transform: scale(1.2);
    }
    28% {
        transform: scale(1);
    }
    42% {
        transform: scale(1.2);
    }
    70% {
        transform: scale(1);
    }
}

.heartbeat {
    animation: heartbeat 2s infinite;
    transform-origin: center center;
}

@keyframes scroll {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(calc(-100% - var(--gap)));
    }
}

.is-style-marquee {
    --gap: 1rem;
    display: flex;
    overflow: hidden;
    user-select: none;
    gap: var(--gap);
}

.is-style-marquee > .wp-block-group {
    flex-shrink: 0;
    display: flex;
    justify-content: space-around;
    min-width: 100%;
    gap: var(--gap);
    animation: scroll 15s linear infinite;
    animation-direction: reverse;
}

.site-footer a {
    text-decoration: none;
}

@media (max-width: 781px) {
    .team-image {
        max-width: 220px !important;
        margin: 0 auto;
    }

    .team-title {
        text-align: center;
    }
}

@media (max-width: 520px) {
    .kk-info {
        flex-wrap: wrap !important;
        flex-direction: column;
        gap: 1rem;
        align-items: flex-start;
    }

    .content-box {
        padding-top: var(--wp--preset--spacing--medium) !important;
        padding-right: var(--wp--preset--spacing--medium) !important;
        padding-bottom: var(--wp--preset--spacing--medium) !important;
        padding-left: var(--wp--preset--spacing--medium) !important;
    }
}
